Project

General

Profile

Actions

Feature #13460

closed

docker v2: Disable v1 support and add support for manifest unit type

Added by Brad Buckingham over 8 years ago. Updated almost 6 years ago.

Status:
Closed
Priority:
Normal
Target version:
Difficulty:
Triaged:
Fixed in Releases:
Found in Releases:

Description

As an initial step in moving towards supporting Docker v2 with Pulp 2.8, we need to do the following:
  • Runcible: update the docker importer to disable V1.
  • Runcible: update to support a new docker_manifest unit type.

These 2 things could be broken in to separate issues; however, they are very small in change and will allow development on multiple aspects of the migration to continue.


Related issues 1 (0 open1 closed)

Related to Katello - Tracker #13413: Support Docker v2 API in katelloResolvedBrad Buckingham01/27/2016

Actions
Actions

Also available in: Atom PDF